/*
 * Copyright (c) 2016-present Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.nexus.ci.iq.callflow.ReachabilityConfig

import lib.FormTagLib

def f = namespace(FormTagLib)

f.section(title: 'Java Analysis') {
  f.property(field: 'javaAnalysis')
}

f.advanced(title: 'Other Options') {
  f.entry(title: 'Log Level', field: 'logLevel') {
    f.select()
  }

  f.entry(title: 'Fail on analysis errors', field: 'failOnError') {
    f.checkbox()
  }

  f.property(field: 'java')
}
